﻿:root{
    --ek-daylight-color: #F8EDCA;
    --ek-sunlit-color: #E8D285;
    --ek-campus-color: #ACB504;
    --ek-business-color: #0038A8;
    --ek-businesslight-color:#0C53ED;   

    --course-factbox-bg: #d9ddff;   
    --course-factbox-color:#0038a8;

    --header-bg:var(--ek-daylight-color);
    --header-color:var(--ek-business-color); 

    --header-dropdown-bg:#FFFFFF;
    --header-dropdown-border:var(--ek-sunlit-color); 

    --band-primary-bg:var(--ek-sunlit-color);
    --band-primary-color:var(--ek-business-color);

    --footer-bg:var(--ek-sunlit-color);
    --footer-color:var(--ek-business-color);
    
    --body-bg: #FFFFFF;
    --body-color: #000000;
}

:root,
html,
body {
    --color: var(--body-color);
    font-family: Calibri;
    font-size: 19px;
    line-height: 1.5em;
    background-color: var(--body-bg);
    color: var(--color);
}

.header{
    background-color: var(--header-bg);
    color: var(--header-color);

    & .header-top {
        display: flex;
        justify-content: flex-start;
        align-items: end;
        font-size: 15px;
        font-weight: 700;
        padding-top: 6px;
        padding-bottom: 6px;
        gap:1rem;
        margin-left: 1rem;
        margin-right: 1rem;
        & > a{
            color: var(--header-color)!important;
            &:hover {
                color: var(--header-color) !important;
            }
            &.logo {
                & > img {
                    height: 50px;
                }
            }
        }
        & > .grow{
            flex-grow:2;
        }
        & .active-language{
            text-decoration:underline;
        }
        & > .dropdown > li > a {
            color: var(--header-color) !important;
            padding-bottom:5px;
            padding-top:0px;
            &:hover {
                color: var(--header-color) !important;
            }
        }


        & .is-dropdown-submenu{
            border-color:var(--header-dropdown-border);
            border-width:2px;
            background-color:var(--header-dropdown-bg);

            .is-submenu-item {
                white-space: nowrap;
            }
        }
    }
}

.band{

    padding: 25px 0;
    &.band--primary{
        --color:var(--band-primary-color);
        background-color:var(--band-primary-bg);
        color:var(--color);
        button, .button {
            background-color: var(--color);
        }
    }
}


.footer {
    font-size: 0.9em;
    padding: 2.5rem 0;
    background-color: var(--footer-bg);
    color: var(--footer-color);
    & > .row > div > .logo {
        width: 270px;
        margin-bottom: 1em;
    }
    a{
        color:var(--footer-color) !important;
    }
}

button, .button {
    font-family:Calibri;
    padding: 0 1.25em;
    text-shadow: none;
    text-decoration: none;
    background-color: #000000;
    color:#FFFFFF;
    border-radius: 5px;   
    white-space: nowrap;
    height: 54px;
    letter-spacing: 0.5px;
    margin: 0;
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
    cursor:pointer;
}

#course{ 
    .accordion{
        & > .accordion__item{
            & > .accordion__title{ 
                & > .arrow-expand {
                    position: absolute;
                    right: 10px;
                    font-size:.5em;
                }
            }
            &.is-active {
                & > .accordion__title {
                    & > .arrow-expand {
                        & > span{
                            & > .hide-on-collapsed{
                                display:none;
                            }
                        }
                    }
                }
            }
            &:not(.is-active) {
                & > .accordion__title {
                    & > .arrow-expand {
                        & > span{
                            & > .hide-on-expanded{
                                display:none;
                            }
                        }
                    }
                }
            }
        }
    }
}








* {
    padding: 0;
    margin: 0;
}


h1,
h2,
h3,
h4,
h5 {
    font-family:Calibri;
    font-size: 1.625rem;
    font-weight: bold;
    letter-spacing: 0.5px;
    word-break: break-word;
    line-height: 1.1em;
}

h5 {
    font-family: Calibri;
    font-size: 1rem;
    margin-top: 36px;
    margin-bottom: 12px;
}

a {
    color: #00163b !important;
    font-weight: 700;
    text-decoration: none;
    transition: color 0.5s;
}

select,
select:focus {
    color: #233249;
    border: none;
    border-bottom: 1px solid #233249;
    box-shadow: none;
    border-radius: 0;
    padding-left: 0;
    background: transparent url(images/arrowExpand.svg) no-repeat right 10px center;
    background-size: 0.9375rem;
}

select:focus {
    border-left: 1px solid #233249;
}

select:disabled,
select:focus:disabled {
    opacity: 0.5;
    background-color: transparent;
}

input[type='text'],
input[type='text']:focus {
    color: #233249;
    border: none;
    border-bottom: 1px solid #233249;
    box-shadow: none;
    border-radius: 0;
    background: none;
    padding-left: 0;
    background-size: 0.9375rem;
}

input[type='text']::placeholder,
input[type='text']:focus::placeholder {
    color: inherit;
}


input[type='text']:focus {
    border-left: 1px solid #233249;
}

.flex {
    display: flex;
    align-items: center;

    &.space-between{
        justify-content:space-between;
    }

    &.top{        
        align-items: start;
    }

    & > .grow-1{
        flex-grow:1;
    }
}



.flex > *:not(:last-child) {
    margin-right: 20px;
}

@media print {
    a[href]:after {
        content: none !important;
    }
}

@media screen and (min-width: 1500px) {
    .row {
        max-width: 1170px;
    }
}

.page-wrapper {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.page-wrapper > * {
    flex-shrink: 0;
}


.permalink {
    cursor: pointer;
}

.reveal {
    display: block;
}

.reveal > .close-reveal {
    color: #AAAAAA;
    cursor: pointer;
    font-size: 2.22222rem;
    font-weight: bold;
    line-height: 1;
    position: absolute;
    top: 0.55556rem;
    right: 1.22222rem;
    text-decoration: none;
}

main {
    margin-bottom: 4rem;
    flex-grow: 1;
}

.header-intro {
    padding-top: 4rem;
}

.header-intro .hero {
    word-break: break-word;
}

.header-intro .hero > .title {
    font-size: 1.625rem;
    font-weight: bold;
    letter-spacing: 0.5px;
    word-break: break-word;
    line-height: 1.1em;
}

@media screen and (min-width: 45em) {
    .header-intro .hero > .title {
        font-size: 48px;
        line-height: 0.98em;
    }
}

@media print {
    .header-intro {
        display: none;
    }
}

#course .learning-goal-subpart {
    margin-top: 10px;
}

#course .inherit-exam {
    margin-top: 10px;
    font-weight: bold;
}

#course .examination-title {
    font-weight: 700;
    border-bottom: 2px solid black;
    margin-top: 12px;
    margin-bottom: 6px;
    display: flex;
    justify-content: space-between;
}

#course .examination-title > a {
    white-space: nowrap;
}

#course .list--horizontal {
    display: flex;
    flex-direction: column;
}

#course .list--horizontal > .list__item {
    display: flex;
    margin-bottom: 15px;
}

#course .list--horizontal > .list__item > .item__label {
    width: 35%;
    flex-shrink: 0;
    font-weight: 700;
    word-break: break-all;
    word-break: break-word;
}

#course .list--horizontal > .list__item > .item__content {
    padding-left: 10px;
    flex-grow: 2;
}

#course .course__header {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

#course .course__header > * {
    flex: 1;
}

#course .course__header > .title {
    margin: 0;
    min-width: auto;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    word-break: break-word;
    flex-grow: 1;
}

#course .course__header > .course__year {
    padding-left: 10px;
    flex-shrink: 0;
    flex-grow: 0;
}

#course .course-fact__list {
    display: flex;
    flex-wrap: wrap;
    word-break: break-word;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    background-color: var(--course-factbox-bg);
    color: var(--course-factbox-color);
    padding:1rem;
    & > .course-fact {
        margin-bottom: 1rem;
        flex-basis: 200px;
        flex-grow: 1; 
        
        & > .course-fact__title {
            font-weight: normal;
            line-height: 1.5rem;
        }
        & > .course-fact__content {
            line-height: 1.375rem;
        }
        & + .course-fact{
            border-top:1px solid var(--course-factbox-color)
        }
    }
}

#course > .course__info #toggle-accordion {
    margin-left: auto;
    flex-grow: 0;
    flex-shrink: 0;
    margin-bottom: 10px;
}

#course .accordion {
    background-color: transparent;
    & > .accordion__item {
        position: relative;
        border-bottom: 1px solid #233249;
        margin-top: 8px;
        padding-bottom: 8px;
        & > .accordion__title {
            display: block;
            font-weight: 500;
            color: #00163b;
            font-size: 24px;
            padding: 1.5rem 0;
            padding-right: 30px;
            line-height: 22px;
        }

        & > .accordion-content {
            background-color: transparent;
            border: none;
            padding: 0;
            padding-bottom: 10px;
        }
    }
}

#course #toggle-accordion {
    white-space: nowrap;
    cursor: pointer;
    padding-bottom: 17px;
    padding-left: 32px;
    padding-right: 32px;
    padding-top: 16px;
    font-weight: 700;
    font-size: 16px;
}

@media screen and (min-width: 64em) {
    #course .course-fact__list > .course-fact {
        margin-bottom: 20px;
    }

    #course .course-fact__list > .course-fact > .course-fact__content {
        line-height: 1.1875rem;
    }
}

@media screen and (min-width: 40em) {
    #course > .course__header {
        margin-bottom: 2rem;
    }

    #course .course-fact__list {
        -webkit-column-count: 1;
        /* Chrome, Safari, Opera */
        -moz-column-count: 1;
        /* Firefox */
        column-count: 1;
    }

    #course .course-fact__list > .course-fact > .course-fact__title {
        font-weight: bold;
        letter-spacing: 0.5px;
        word-break: break-word;
    }
}

@media screen and (max-width: 500px) {
    #course .course-fact__list {
        margin: -5px;
    }

    #course .course-fact__list > .course-fact {
        flex-basis: auto;
        width: 50%;
        flex-grow: 0;
        margin: 0;
        padding: 5px;
    }

    #course .course-fact__list > .course-fact > .course-fact__title {
        font-size: 1rem;
    }
}

@media print {
    #course {
        display: block !important;
        flex-direction: column;
    }

    #course > * {
        width: 100%;
        margin-right: 0;
        margin-left: 0;
    }

    #course .list--horizontal {
        display: block !important;
    }

    #course #toggle-accordion {
        display: none;
    }

    #course .accordion > .accordion__item > .accordion-title > .arrow-expand {
        display: none !important;
    }

    #course .accordion > .accordion__item > .accordion-content {
        display: block !important;
    }
}

.search-results .result-text {
    color: #757575;
}

.search-results .result-text .result-list {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.search-results .result-text .result-list li {
    display: inline-block;
}

.search-results .result-text .result-list li:not(:last-child):after {
    content: ',\00a0';
}

.search-results .result__education_courses > .course-result .course-result-course .course-result-course-title {
    padding-bottom: 0px;
    margin-bottom: 0px;
    border-bottom: 1px solid #233249;
    font-size: 20px;
    font-weight: bold;
}

.search-results .result__education_courses > .course-result .course-result-course .course-result-course-infolist {
    margin: 0;
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
}

.search-results .result__education_courses > .course-result .course-result-course .course-result-course-infolist span:not(:last-child):after {
    content: '\00a0|\00a0';
}

.search-results .result__education_courses > .course-result .course-result-course:not(:last-child) {
    margin-bottom: 1rem;
}

.search-results .result__education_title:not(:first-child) {
    padding-top: 2rem;
}

.band.band--primary > .help-text {
    color: #70130d;
}

.band.band--primary .band--primary-title {
    font-size: 20px;
    font-weight: bold;
}

.band.band--primary > .arrow-link {
    color: #233249;
}

.band.band--primary > .arrow-link:hover {
    color: #ededed;
}


.band.band--primary .search-link {
    float: right;
}

.band.band--primary .breadcrumb {
    color: #757575;
    text-transform: uppercase;
    display: flex;
}

.band.band--primary .breadcrumb > * {
    font-size: 1.2rem;
}

.band.band--primary .breadcrumb > *:hover:after {
    color: #757575;
}

.band.band--primary .breadcrumb > *:not(:last-child):after {
    content: '|';
    padding: 0 0.5em;
}

@media screen and (min-width: 64em) {
    .band {
        padding: 100px 0;
    }
}

@media screen and (min-width: 40em) {
    .band {
        padding: 50px 0;
    }
}


.clickable{
    cursor:pointer;
}